diff mbox series

[FFmpeg-devel] configure: Increase minimum libx265 version

Message ID 20200108222103.10408-1-andriy.gelman@gmail.com
State New
Headers show
Series [FFmpeg-devel] configure: Increase minimum libx265 version
Related show

Checks

Context Check Description
andriy/ffmpeg-patchwork pending
andriy/ffmpeg-patchwork success Applied patch
andriy/ffmpeg-patchwork success Configure finished
andriy/ffmpeg-patchwork success Make finished
andriy/ffmpeg-patchwork success Make fate finished

Commit Message

Andriy Gelman Jan. 8, 2020, 10:21 p.m. UTC
From: Andriy Gelman <andriy.gelman@gmail.com>

libx265.c references a member x265_picture.quantOffsets (for ROI
support) which was added in X265_BUILD 70. Increase the minimum libx265
version to fix compilation.

Signed-off-by: Andriy Gelman <andriy.gelman@gmail.com>
---

ubuntu 16.04 LTS is using X265_BUILD 79

 configure | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Andriy Gelman Jan. 16, 2020, 8:58 p.m. UTC | #1
On Wed, 08. Jan 17:21, Andriy Gelman wrote:
> From: Andriy Gelman <andriy.gelman@gmail.com>
> 
> libx265.c references a member x265_picture.quantOffsets (for ROI
> support) which was added in X265_BUILD 70. Increase the minimum libx265
> version to fix compilation.
> 
> Signed-off-by: Andriy Gelman <andriy.gelman@gmail.com>
> ---
> 
> ubuntu 16.04 LTS is using X265_BUILD 79
> 
>  configure | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/configure b/configure
> index 46f20386273..1f3d0fdd4bc 100755
> --- a/configure
> +++ b/configure
> @@ -6361,7 +6361,7 @@ enabled libx264           && { check_pkg_config libx264 x264 "stdint.h x264.h" x
>                               require_cpp_condition libx264 x264.h "X264_BUILD >= 118" &&
>                               check_cpp_condition libx262 x264.h "X264_MPEG2"
>  enabled libx265           && require_pkg_config libx265 x265 x265.h x265_api_get &&
> -                             require_cpp_condition libx265 x265.h "X265_BUILD >= 68"
> +                             require_cpp_condition libx265 x265.h "X265_BUILD >= 70"
>  enabled libxavs           && require libxavs "stdint.h xavs.h" xavs_encoder_encode "-lxavs $pthreads_extralibs $libm_extralibs"
>  enabled libxavs2          && require_pkg_config libxavs2 "xavs2 >= 1.3.0" "stdint.h xavs2.h" xavs2_api_get
>  enabled libxvid           && require libxvid xvid.h xvid_global -lxvidcore
> -- 
> 2.24.0
> 

ping
Derek Buitenhuis Jan. 16, 2020, 9:18 p.m. UTC | #2
On 08/01/2020 22:21, Andriy Gelman wrote:
> From: Andriy Gelman <andriy.gelman@gmail.com>
> 
> libx265.c references a member x265_picture.quantOffsets (for ROI
> support) which was added in X265_BUILD 70. Increase the minimum libx265
> version to fix compilation.
> 
> Signed-off-by: Andriy Gelman <andriy.gelman@gmail.com>
> ---

OK.

- Derek
Michael Niedermayer Jan. 17, 2020, 8:16 p.m. UTC | #3
On Thu, Jan 16, 2020 at 09:18:07PM +0000, Derek Buitenhuis wrote:
> On 08/01/2020 22:21, Andriy Gelman wrote:
> > From: Andriy Gelman <andriy.gelman@gmail.com>
> > 
> > libx265.c references a member x265_picture.quantOffsets (for ROI
> > support) which was added in X265_BUILD 70. Increase the minimum libx265
> > version to fix compilation.
> > 
> > Signed-off-by: Andriy Gelman <andriy.gelman@gmail.com>
> > ---
> 
> OK.

will apply

thx

[...]
diff mbox series

Patch

diff --git a/configure b/configure
index 46f20386273..1f3d0fdd4bc 100755
--- a/configure
+++ b/configure
@@ -6361,7 +6361,7 @@  enabled libx264           && { check_pkg_config libx264 x264 "stdint.h x264.h" x
                              require_cpp_condition libx264 x264.h "X264_BUILD >= 118" &&
                              check_cpp_condition libx262 x264.h "X264_MPEG2"
 enabled libx265           && require_pkg_config libx265 x265 x265.h x265_api_get &&
-                             require_cpp_condition libx265 x265.h "X265_BUILD >= 68"
+                             require_cpp_condition libx265 x265.h "X265_BUILD >= 70"
 enabled libxavs           && require libxavs "stdint.h xavs.h" xavs_encoder_encode "-lxavs $pthreads_extralibs $libm_extralibs"
 enabled libxavs2          && require_pkg_config libxavs2 "xavs2 >= 1.3.0" "stdint.h xavs2.h" xavs2_api_get
 enabled libxvid           && require libxvid xvid.h xvid_global -lxvidcore